# xbim_aim

This is the XBIM Flex Swagger service where you can explore the REST API for the platform.

- API version: 2.0
- Build package: org.openapitools.codegen.languages.DartClientCodegen
For more information, please visit [https://xbim.net](https://xbim.net)

This Dart package was generated using [OpenAPI Generator](https://openapi-generator.tech).

## Requirements

Dart 2.0 or later

## Installation & Usage

### Pub.Dev
To use the package in your local drive, add the following dependency to your pubspec.yaml
```
dependencies:
  xbim_identity: ^2.0.0
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:xbim_aim/api.dart';

// TODO Configure OAuth2 access token for authorization: oauth2
//defaultApiClient.getAuthentication<OAuth>('oauth2').accessToken = 'YOUR_ACCESS_TOKEN';

final api_instance = AdminApi();
final region = region_example; // String | The data center region the data resides in

try {
    final result = api_instance.adminAppliedUpdates(region);
    print(result);
} catch (e) {
    print('Exception when calling AdminApi->adminAppliedUpdates: $e\n');
}

```



## Author

info@xbim.net

